Export Data Table - MindBridge Documentation

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.


Export Data Table

cURL

curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/data-tables/{dataTableId}/export \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "fields": [
    "<string>"
  ],
  "query": {},
  "limit": 2
}
'

Python

import requests

url = "https://{tenant}.mindbridge.ai/api/v1/data-tables/{dataTableId}/export"

payload = {
    "fields": ["<string>"],
    "query": {},
    "limit": 2
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch API)

const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({fields: ['<string>'], query: {}, limit: 2})
};

fetch('https://{tenant}.mindbridge.ai/api/v1/data-tables/{dataTableId}/export', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/data-tables/{dataTableId}/export",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'fields' => [
        '<string>'
    ],
    'query' => [],
    'limit' => 2
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://{tenant}.mindbridge.ai/api/v1/data-tables/{dataTableId}/export"

payload := strings.NewReader("{\n  \"fields\": [\n    \"<string>\"\n  ],\n  \"query\": {},\n  \"limit\": 2\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Unirest (Java)

HttpResponse<String> response = Unirest.post("https://{tenant}.mindbridge.ai/api/v1/data-tables/{dataTableId}/export")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"fields\": [\n    \"<string>\"\n  ],\n  \"query\": {},\n  \"limit\": 2\n}")
  .asString();

Ruby

require 'uri'
require 'net/http'

url = URI("https://{tenant}.mindbridge.ai/api/v1/data-tables/{dataTableId}/export")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"fields\": [\n    \"<string>\"\n  ],\n  \"query\": {},\n  \"limit\": 2\n}"

response = http.request(request)
puts response.read_body

Response


200 OK

{
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "entityId": "<string>",
  "error": "<string>",
  "errorMessage": "<string>"
}

Problems Response

{
  "type": "<string>",
  "title": "<string>",
  "problems": [
    {
      "entityType": "<string>",
      "entityId": "<string>",
      "identifier": "<string>",
      "values": [
        "<string>"
      ],
      "reason": "<string>",
      "suggestedValues": [
        "<string>"
      ],
      "problemCount": 123
    }
  ],
  "instance": "<string>",
  "status": 123,
  "origin": "<string>",
  "problemCount": 123,
  "entityType": "<string>",
  "entityId": "<string>"
}

Authorizations

Authorization

Path Parameters

Body

Response Codes